summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--cm-container/Dockerfile-template7
-rw-r--r--cm-container/pom.xml2
-rw-r--r--cm-container/reset_admin.py2
-rw-r--r--cm-container/scripts/init-cloudify.sh28
-rwxr-xr-xcm-container/scripts/set-admin-password.sh8
-rwxr-xr-xcm-container/scripts/start-persistent.sh3
6 files changed, 41 insertions, 9 deletions
diff --git a/cm-container/Dockerfile-template b/cm-container/Dockerfile-template
index e79099d..0beaa5f 100644
--- a/cm-container/Dockerfile-template
+++ b/cm-container/Dockerfile-template
@@ -26,11 +26,8 @@ COPY reset_admin.py /opt/manager/
RUN chmod +x /opt/manager/reset_admin.py\
&& chmod +x scripts/*.sh\
&& scripts/get-plugins.sh ${PLUGIN_REPO} \
- && /scripts/configure-tls.sh\
- && echo "/scripts/setup-secret.sh" >> /etc/rc.d/rc.local\
- && echo "/scripts/set-admin-password.sh" >> /etc/rc.d/rc.local\
- && echo "/scripts/load-plugins.sh >/load-plugins.log 2>&1" >> /etc/rc.d/rc.local\
- && chmod +x /etc/rc.d/rc.local
+ && /scripts/configure-tls.sh
+
# Create mount point for CM config file
RUN mkdir -p /opt/onap && chown cfyuser:cfyuser /opt/onap
diff --git a/cm-container/pom.xml b/cm-container/pom.xml
index b828b91..b37a5ce 100644
--- a/cm-container/pom.xml
+++ b/cm-container/pom.xml
@@ -27,7 +27,7 @@ limitations under the License.
<groupId>org.onap.dcaegen2.deployments</groupId>
<artifactId>cm-container</artifactId>
<name>dcaegen2-deployments-cm-container</name>
- <version>3.3.2</version>
+ <version>3.3.3</version>
<url>http://maven.apache.org</url>
<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
diff --git a/cm-container/reset_admin.py b/cm-container/reset_admin.py
index c7a7672..2253341 100644
--- a/cm-container/reset_admin.py
+++ b/cm-container/reset_admin.py
@@ -51,4 +51,4 @@ if __name__ == '__main__':
args = parser.parse_args()
db_update_password(args.password)
- print 'Done!\n'
+ print 'Password updated in DB!\n'
diff --git a/cm-container/scripts/init-cloudify.sh b/cm-container/scripts/init-cloudify.sh
new file mode 100644
index 0000000..8e74c8a
--- /dev/null
+++ b/cm-container/scripts/init-cloudify.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# org.onap.dcae
+# ================================================================================
+# Copyright (c) Nokia. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+
+set -ex
+
+/scripts/setup-secret.sh
+/scripts/set-admin-password.sh
+/scripts/load-plugins.sh
+
+set +x
+
+echo "Cloudify ready"
diff --git a/cm-container/scripts/set-admin-password.sh b/cm-container/scripts/set-admin-password.sh
index 5b9ca27..d8c4121 100755
--- a/cm-container/scripts/set-admin-password.sh
+++ b/cm-container/scripts/set-admin-password.sh
@@ -16,6 +16,8 @@
# ============LICENSE_END=========================================================
# Runs at deployment time to set cloudify's admin password
+set -x
+
# Wait for Cloudify Manager to come up
while ! /scripts/cloudify-ready.sh
do
@@ -23,17 +25,19 @@ do
sleep 15
done
+set +x
+
# Expect Cloudify password to be in file mounted from Kubernetes secret,
# but allow overriding by CMPASS environment variable,
# and if not provided, use the default
CMPASS=${CMPASS:-$(cat /opt/onap/cm-secrets/password 2>/dev/null)}
CMPASS=${CMPASS:-admin}
-# Set Cloudify's admin password
+echo "Set Cloudify's admin password"
cd /opt/manager
cfy_manager --reset_admin_password $CMPASS || ./env/bin/python reset_admin.py -p $CMPASS
-# Set the password used by the cfy client
+echo "Set the password used by the cfy client"
cfy profile set -p $CMPASS
echo "Cloudify password set"
diff --git a/cm-container/scripts/start-persistent.sh b/cm-container/scripts/start-persistent.sh
index bf55da0..354d634 100755
--- a/cm-container/scripts/start-persistent.sh
+++ b/cm-container/scripts/start-persistent.sh
@@ -48,6 +48,9 @@ then
else
echo "No persistent storage available"
fi
+
+# start background script that updates CM password and uploads plugins
+/scripts/init-cloudify.sh &
# start up init, which brings up CM and supporting software
exec /sbin/init --log-target=journal 3>&1